Checkout
Authorizations
Responses
200
The checkout sessions
application/json
idstringOptional
currencystringOptional
amountnumberOptional
emailstringOptional
namestringOptional
productIdstringOptional
productNamestringOptional
productDescriptionstringOptional
allowedAssetsstring[]Optional
expiresAtstringOptional
metadataobjectOptional
customerIdstringOptional
redirectUrlstringOptional
cancelUrlstringOptional
createdAtstringOptional
updatedAtstringOptional
customerobjectOptional
get
/api/v1/checkout200
The checkout sessions
Authorizations
Body
amountnumberRequiredExample:
The amount to charge the customer
100currencystring · enumRequiredExample:
The currency to charge the customer
USDPossible values: successUrlstringRequiredExample:
The URL to redirect the customer to after the payment is successful
https://example.com/successcancelUrlstringRequiredExample:
The URL to redirect the customer to after the payment is cancelled
https://example.com/cancelnamestringRequiredExample:
The name of the customer
John DoemetadataobjectRequiredExample:
Additional metadata about the checkout session. This will be returned in the webhooks for the merchant
{"orderId":"1234567890","customerId":"1234567890"}productIdstringRequiredExample:
The ID of the product to charge the customer for
1234567890productNamestringRequiredExample:
The name of the product to charge the customer for
Product NameproductDescriptionstringRequiredExample:
The description of the product to charge the customer for
Product DescriptionallowedAssetsstring · enumRequiredExample:
The allowed assets for the checkout session. If empty, all assets will be allowed.
["ETH","USDT","USDC"]Possible values: Responses
200
The checkout session
application/json
urlstringOptional
post
/api/v1/checkout200
The checkout session
Authorizations
Path parameters
idstringRequired
Checkout session ID
Responses
200
The checkout session
application/json
idstringOptional
currencystringOptional
amountnumberOptional
emailstringOptional
namestringOptional
productIdstringOptional
productNamestringOptional
productDescriptionstringOptional
allowedAssetsstring[]Optional
expiresAtstringOptional
metadataobjectOptional
customerIdstringOptional
redirectUrlstringOptional
cancelUrlstringOptional
createdAtstringOptional
updatedAtstringOptional
customerobjectOptional
get
/api/v1/checkout/sessions/{id}200
The checkout session
Last updated